Opened 11 years ago

Closed 10 years ago

Last modified 10 years ago

#7708 closed enhancement (fixed)

upgrade openopt spkg to 0.29

Reported by: schilly Owned by: schilly
Priority: major Milestone: sage-4.5.3
Component: packages: standard Keywords:
Cc: Merged in:
Authors: Harald Schilly Reviewers: Harald Schilly
Report Upstream: N/A Work issues:
Branch: Commit:
Dependencies: Stopgaps:

Description (last modified by schilly)

http://openopt.org/ latest version of the OOSuite is 0.29

Change History (9)

comment:1 Changed 11 years ago by was

  • Milestone changed from sage-4.3 to sage-4.3.1

I'm declaring a total feature freeze on sage-4.3.

comment:2 follow-up: Changed 11 years ago by schilly

  • Status changed from new to needs_work
  • Summary changed from upgrade openopt spkg to 0.27 to upgrade openopt spkg to 0.28

I have created an enhanced and updated version of openopt. It is a pre release of the next 0.28 release (revision 404). Once 0.28 is released, upgrade should be easy.

  1. it now consists of 3 packages, all togehter are called the "OO-Suite". and hence I've included all three.
  2. I have to disable the preparser preparser(False) to get examples for all three packages working.

openopt spkg

comment:3 in reply to: ↑ 2 Changed 11 years ago by schilly

  • Status changed from needs_work to needs_review

I've updated openopt's spkg to 0.28 which you can find here: openopt spkg

it contains the entire openopt suite and as stated above, you need to set preparse(False) and then test it via a script like nsp_1.py .

comment:4 Changed 11 years ago by schilly

  • Description modified (diff)
  • Status changed from needs_review to needs_work
  • Summary changed from upgrade openopt spkg to 0.28 to upgrade openopt spkg to 0.29

comment:5 Changed 10 years ago by schilly

  • Status changed from needs_work to needs_review

comment:6 Changed 10 years ago by schilly

I hereby announce myself as the maintainer of this spkg and declare it as "contributed" / "experimental". If nobody objects, I'll remove the long outdated optional one and upload this new one.

comment:7 Changed 10 years ago by schilly

  • Owner changed from tbd to schilly

comment:8 Changed 10 years ago by schilly

  • Resolution set to fixed
  • Status changed from needs_review to closed

version 0.29 now in experimental and I removed the obsolete old optional spkg. ticket can be closed.

comment:9 Changed 10 years ago by mpatel

  • Authors set to Harald Schilly
  • Reviewers set to Harald Schilly
Note: See TracTickets for help on using tickets.